Quassel IRC - Feature #386

Expand input box when multiple lines are pasted
11/03/2008 04:24 PM - hagabaka

Status: Rejected Start date:

Priority: Normal Due date:

Assignee: Sputnick % Done: 0%
Category: Quassel GUI (Qt) Estimated time: 0.00 hour
Target version:

0S: Any

Description

When pasting multiple lines to the input box, all the lines are sent to the channel immediately. This sometimes leads to unintended
flooding. It is also unexpected because if a single line without line break is pasted, it would not be sent until the user presses Enter. It
would be nice to have the input box expand to show the multiple lines so they can be edited, as well as an indication that multiple
lines are about to be sent if the user presses Enter.

Related issues:

Related to Quassel IRC - Feature #443: Tab completion should show list of pos... Assigned

Related to Quassel IRC - Feature #373: Please add paste control with pastebin New

Related to Quassel IRC - Bug #541: Preliminary Paste Control per Dialog Resolved 02/11/2009 02/16/2009
Is duplicate of Quassel IRC - Feature #213: Add a multiline write line with a... Resolved

Associated revisions

Revision f047a4f7add72ef7e32ad33f884e62a5773ecc72 - 08/16/2009 01:03 PM - Manuel Nickschas
Introduce multi-line editing for the inputline

This introduces the new MultiLineEdit that basically enhances the old InputLine widget by being

able to expand to show more than one line. All non-editing related things have been moved out of the

MultiLineEdit to ease reuse in other widgets. For example, InputWidget-specific keypresses are now handled
in InputWidget rather than MultiLineEdit.

Closes #209, closes #213, fixes #386. Thanks to Squider for input (I saw your patch too late, but | did refactor
things anyway...)

Revision f047a417 - 08/16/2009 01:03 PM - Manuel Nickschas

Introduce multi-line editing for the inputline

This introduces the new MultiLineEdit that basically enhances the old InputLine widget by being

able to expand to show more than one line. All non-editing related things have been moved out of the

MultiLineEdit to ease reuse in other widgets. For example, InputWidget-specific keypresses are now handled
in InputWidget rather than MultiLineEdit.

Closes #209, closes #213, fixes #386. Thanks to Squider for input (I saw your patch too late, but | did refactor
things anyway...)

History

#1 - 12/19/2008 02:05 PM - Sputnick

Mhm, we'll see about finding a way to make this work within our Ul. Feedback as of how something like that could look like more than welcome. Note
that simply replacing the inputline by a textedit won't probably work for us; maybe we want a popup instead?

#2 - 02/11/2009 01:03 PM - Sputnick

- Status changed from New to Assigned
- Assignee set to Sputnick

- Priority changed from High to Normal
- Target version set to 0.4.0

- OS set to Any

Should add at least add a warning messagebox as a temporary solution for 0.4. Something more elaborate for a later version then.
#3 - 02/11/2009 09:00 PM - EgS
- Target version deleted (0.4.0)

#4 - 03/17/2009 11:57 PM - DevUrandom
Related to #209.

#5 - 08/14/2009 08:17 PM - Sputnick

- Status changed from Assigned to Rejected
